=== modified file 'bzrlib/config.py'
--- bzrlib/config.py	2011-09-29 15:50:58 +0000
+++ bzrlib/config.py	2011-10-03 14:34:45 +0000
@@ -91,6 +91,7 @@
     debug,
     errors,
     lazy_regex,
+    library_state,
     lockdir,
     mail_client,
     mergetools,
@@ -3271,6 +3272,12 @@
         # Mostly for debugging use
         return "<config.%s(%s)>" % (self.__class__.__name__, id(self))
 
+    def _get_overrides(self):
+        # Hack around library_state.initialize never called
+        if bzrlib.global_state is not None:
+            return [bzrlib.global_state.cmdline_overrides]
+        return []
+
 
 class _CompatibleStack(Stack):
     """Place holder for compatibility with previous design.
@@ -3303,7 +3310,7 @@
         # Get a GlobalStore
         gstore = GlobalStore()
         super(GlobalStack, self).__init__(
-            [bzrlib.global_state.cmdline_overrides, gstore.get_sections],
+            [self._get_overrides, gstore.get_sections],
             gstore)
 
 
@@ -3318,7 +3325,7 @@
         matcher = LocationMatcher(lstore, location)
         gstore = GlobalStore()
         super(LocationStack, self).__init__(
-            [bzrlib.global_state.cmdline_overrides,
+            [self._get_overrides,
              matcher.get_sections, gstore.get_sections],
             lstore)
 
@@ -3332,7 +3339,7 @@
         matcher = LocationMatcher(lstore, branch.base)
         gstore = GlobalStore()
         super(BranchStack, self).__init__(
-            [bzrlib.global_state.cmdline_overrides,
+            [self._get_overrides,
              matcher.get_sections, bstore.get_sections, gstore.get_sections],
             bstore)
         self.branch = branch

=== modified file 'doc/en/release-notes/bzr-2.5.txt'
--- doc/en/release-notes/bzr-2.5.txt	2011-10-03 14:50:03 +0000
+++ doc/en/release-notes/bzr-2.5.txt	2011-10-04 11:38:49 +0000
@@ -68,6 +68,9 @@
   would go ahead and update the whole tree, which was surprising.
   (Martin Pool, #557886)
 
+* Don't crash if bzrlib.initialize() has not been called while accessing
+  configs.  (Vincent Ladeuil, #863401)
+
 * Redirects between http and https no longer discard path information
   in some cases. (Jelmer Vernooij, #853765)
 

